Package com.sap.ai.sdk.core.client

# Class RepositoryApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.core.client.RepositoryApi

public class RepositoryApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
AI Core in version 2.42.0.

Provides tools to manage your scenarios and workflows in SAP AI Core. Execute pipelines as a batch job, for example to pre-process or train your models, or perform batch inference. Serve inference requests of trained models. Deploy а trained machine learning model as a web service to serve inference requests with high performance. Register your own Docker registry, synchronize your AI content from your own git repository, and register your own object store for training data and trained models.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepositoryApi()`
  Instantiates this API class to invoke operations on the AI Core
  `RepositoryApi(AiCoreService aiCoreService)`
  Instantiates this API class to invoke operations on the AI Core

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndArgoCDRepositoryCreationResponse`
  `create(BckndArgoCDRepositoryData bckndArgoCDRepositoryData)`
  On-board a new GitOps repository
  `BckndArgoCDRepositoryCreationResponse`
  `create(BckndArgoCDRepositoryData bckndArgoCDRepositoryData, String authorization)`
  On-board a new GitOps repository
  `BckndArgoCDRepositoryDeletionResponse`
  `delete(String repositoryName)`
  Off-board a repository.
  `BckndArgoCDRepositoryDeletionResponse`
  `delete(String repositoryName, String authorization)`
  Off-board a repository.
  `BckndArgoCDRepositoryDetails`
  `get(String repositoryName)`
  Get the access details for a repository
  `BckndArgoCDRepositoryDetails`
  `get(String repositoryName, String authorization)`
  Get the access details for a repository
  `BckndArgoCDRepositoryDataResponse`
  `getAll()`
  List all GitOps repositories for a tenant
  `BckndArgoCDRepositoryDataResponse`
  `getAll(String authorization, Integer $top, Integer $skip, Boolean $count)`
  List all GitOps repositories for a tenant
  `BckndArgoCDRepositoryModificationResponse`
  `update(String repositoryName, BckndArgoCDRepositoryCredentials bckndArgoCDRepositoryCredentials)`
  Update the repository credentials.
  `BckndArgoCDRepositoryModificationResponse`
  `update(String repositoryName, BckndArgoCDRepositoryCredentials bckndArgoCDRepositoryCredentials, String authorization)`
  Update the repository credentials.
  `RepositoryApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RepositoryApi

    public RepositoryApi()
    Instantiates this API class to invoke operations on the AI Core

  - ### RepositoryApi

    public RepositoryApi(@Nonnull AiCoreService aiCoreService)
    Instantiates this API class to invoke operations on the AI Core
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core

- ## Method Details

  - ### withDefaultHeaders

    public RepositoryApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### create

    @Nonnull public BckndArgoCDRepositoryCreationResponse create(@Nonnull BckndArgoCDRepositoryData bckndArgoCDRepositoryData, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    On-board a new GitOps repository

    On-board a new GitOps repository as specified in the content payload

    200 - The repository has been on-boarded

    409 - The provided repository already exists

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `bckndArgoCDRepositoryData` - (required) The value for the parameter bckndArgoCDRepositoryData
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndArgoCDRepositoryCreationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### create

    @Nonnull public BckndArgoCDRepositoryCreationResponse create(@Nonnull BckndArgoCDRepositoryData bckndArgoCDRepositoryData) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    On-board a new GitOps repository

    On-board a new GitOps repository as specified in the content payload

    200 - The repository has been on-boarded

    409 - The provided repository already exists

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `bckndArgoCDRepositoryData` - The value for the parameter bckndArgoCDRepositoryData
    Returns:
      BckndArgoCDRepositoryCreationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### delete

    @Nonnull public BckndArgoCDRepositoryDeletionResponse delete(@Nonnull String repositoryName, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Off-board a repository.

    Remove a repository from GitOps.

    200 - The repository has been off-boarded successfully.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `repositoryName` - (required) Name of the repository
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndArgoCDRepositoryDeletionResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### delete

    @Nonnull public BckndArgoCDRepositoryDeletionResponse delete(@Nonnull String repositoryName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Off-board a repository.

    Remove a repository from GitOps.

    200 - The repository has been off-boarded successfully.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `repositoryName` - Name of the repository
    Returns:
      BckndArgoCDRepositoryDeletionResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public BckndArgoCDRepositoryDetails get(@Nonnull String repositoryName, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the access details for a repository

    Retrieve the access details for a repository if it exists.

    200 - The repository details have been found and returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `repositoryName` - (required) Name of the repository
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndArgoCDRepositoryDetails
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public BckndArgoCDRepositoryDetails get(@Nonnull String repositoryName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the access details for a repository

    Retrieve the access details for a repository if it exists.

    200 - The repository details have been found and returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `repositoryName` - Name of the repository
    Returns:
      BckndArgoCDRepositoryDetails
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getAll

    @Nonnull public BckndArgoCDRepositoryDataResponse getAll(@Nullable String authorization, @Nullable Integer $top, @Nullable Integer $skip, @Nullable Boolean $count) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    List all GitOps repositories for a tenant

    Retrieve a list of all GitOps repositories for a tenant.

    200 - Returns a list of all GitOps repositories for the tenant.

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `$top` - (optional) Number of results to display
      `$skip` - (optional) Number of results to be skipped from the ordered list of results
      `$count` - (optional) When the $count field is set to false, the response contains a count of the items present in the response. When the $count field is set to true, the response contains a count of all the items present on the server, and not just the ones in the response. When the $count field is not passed, it is false by default.
    Returns:
      BckndArgoCDRepositoryDataResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getAll

    @Nonnull public BckndArgoCDRepositoryDataResponse getAll() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    List all GitOps repositories for a tenant

    Retrieve a list of all GitOps repositories for a tenant.

    200 - Returns a list of all GitOps repositories for the tenant.

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndArgoCDRepositoryDataResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### update

    @Nonnull public BckndArgoCDRepositoryModificationResponse update(@Nonnull String repositoryName, @Nonnull BckndArgoCDRepositoryCredentials bckndArgoCDRepositoryCredentials, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Update the repository credentials.

    Update the referenced repository credentials to synchronize a repository.

    200 - The repository credentials have been updated and will eventually be synced.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `repositoryName` - (required) Name of the repository
      `bckndArgoCDRepositoryCredentials` - (required) The value for the parameter bckndArgoCDRepositoryCredentials
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndArgoCDRepositoryModificationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### update

    @Nonnull public BckndArgoCDRepositoryModificationResponse update(@Nonnull String repositoryName, @Nonnull BckndArgoCDRepositoryCredentials bckndArgoCDRepositoryCredentials) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Update the repository credentials.

    Update the referenced repository credentials to synchronize a repository.

    200 - The repository credentials have been updated and will eventually be synced.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `repositoryName` - Name of the repository
      `bckndArgoCDRepositoryCredentials` - The value for the parameter bckndArgoCDRepositoryCredentials
    Returns:
      BckndArgoCDRepositoryModificationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API